# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           svni
Version:        0.36
Release:        1.4
Summary:        Subversion Check-In Wrapper
Source:         http://prdownloads.sourceforge.net/svni/svni-%{version}.tar.gz
URL:            http://sourceforge.net/projects/svni/
Group:          Development/Tools/Version Control
License:        GNU General Public License version 3 (GPL v3)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildArch:      noarch
Requires:       subversion
BuildRequires:  perl
BuildRequires:  make
%if 0%{?suse_version} == 0 || 0%{?suse_version} >= 1100
BuildRequires:  vim-base
%else
BuildRequires:  vim
%endif
# pbleser: do this "manually" here, no need to pull in perl-macros to use
# perl_requires, as it is not available in this repository:
%if 0%{?suse_version} >= 1030
Requires:       perl-base = %{perl_version}
%else
Requires:       perl = %{perl_version}
%endif

%description
svni is a wrapper for "svn ci" that provides an interactive check-in tool for
Subversion.

It features syntax checking before checking in files, the ability to make a
last-minute selection of files when entering a commit message, and a display of
the differences that are about to be checked in.

%package vim
Summary:        Vim Syntax for Subversion Check-In Wrapper
Group:          Development/Tools/Version Control
Requires:       %{name} = %{version}
%if 0%{?suse_version} == 0 || 0%{?suse_version} >= 1100
Requires:       vim-base
%else
Requires:       vim
%endif

%description vim
svni is a wrapper for "svn ci" that provides an interactive check-in tool for
Subversion.

This package additionally provides a vim syntax highlighting configuration.

%prep
%setup -q

%build

%install
%__install -D -m0755 svni "%{buildroot}%{_bindir}/svni"
%__install -D -m0644 svni.1 "%{buildroot}%{_mandir}/man1/svni.1"

%__install -D -m0644 svni.vim "%{buildroot}/usr/share/vim/site/syntax/svni.vim"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING example.svnirc
%{_bindir}/svni
%doc %{_mandir}/man1/svni.1%{ext_man}

%files vim
%defattr(-,root,root)
/usr/share/vim/site/syntax/svni.vim

%changelog
* Thu Sep 27 2012 pascal.bleser@opensuse.org
- update to 0.36:
  * added option -N (--non-recursive) for specifying svn's -N option
* Sat Aug 27 2011 pascal.bleser@opensuse.org
- update to 0.35:
  * added: options '--no-lint' and '--no-followup'
  * fixed: the '--debug' option was not working
  * recursive commits have been disabled (using svn commit -N), so that the
    specified list of files will indicate which files will be committed, no
    surprizes
* Thu Apr 28 2011 pascal.bleser@opensuse.org
- update to 0.33:
  * bugfix: property changes no longer trigger errors during commit
  * two new options were added:
    + '--message' to specify a default template message
    + '--followup' to specify a script to run after a succesful commit
* Wed Apr 27 2011 pascal.bleser@opensuse.org
- update to 0.31:
  * a problem with parsing the SVNI_EDITOR environment variable was fixed
  * a syntax checker for Latex/Tex files was added
  * the default syntax checker for JavaScript files was changed
* Sun Mar 27 2011 pascal.bleser@opensuse.org
- update to 0.30:
  * a vim syntax highlighting file was added that combines the "svn" and "diff"
    syntax highlighting for our commit files
- changes from 0.29:
  * a "--username" option was added
* Thu Mar  3 2011 pascal.bleser@opensuse.org
- update to 0.28:
  * a bug that confused svni if there were no differences in the source files
    was fixed
  * a debug option was added
* Thu Feb 24 2011 pascal.bleser@opensuse.org
- update to 0.27:
  * fixes changing in an svn property triggering an error upon commit
* Thu Jan 27 2011 pascal.bleser@opensuse.org
- update to 0.26:
  * fixes parsing of the message file, where part of the "diff" data was
    sometimes interpreted as part of the commit message
* Thu Jan 27 2011 pascal.bleser@opensuse.org
- initial version (0.25)
